<?php

namespace App\Http\Controllers\Backend;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;

class AuthController extends Controller
{

    public function login()
    {
        if (Auth::check()) {
            if (Auth::user()->role === 'User') {
                return redirect('my-account');
            }
            if (Auth::user()->role === 'Admin') {
                return redirect('admin/dashboard');
            }
        }
        return view('backend.auth.login');
    }

    public function signin(Request $request)
    {
        $request->validate([
            'email' => 'required|exists:users,email',
            'password' => 'required'
        ]);


        $credentials = $request->only('email', 'password');
        if (Auth::attempt($credentials)) {
            if (Auth::user()->role !== 'Admin') {
                Auth::logout();
                return redirect('/login')->withErrors(['email' => 'Invalid account.']);
            }
            return redirect('admin/dashboard');
        }

        return redirect('admin/login');
    }

    public function signout(Request $request)
    {
        Auth::logout();
        return redirect('admin/login');
    }
}
