<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use App\Models\AxaHomeContent;
use Illuminate\Http\Request;


class AxaHomeContentController extends Controller
{
    public function show(Request $request, $id)
    {
       $axaHomeContent = AxaHomeContent::findOrFail($id);
        return view('backend.modules.axa-home-content.edit', compact('axaHomeContent'));
    }

    public function edit(Request $request, $id)
    {
       $axaHomeContent = AxaHomeContent::findOrFail($id);
        return view('backend.modules.axa-home-content.edit', compact('axaHomeContent'));
    }

    public function update(Request $request, $id)
    {
        $axaHomeContent = AxaHomeContent::findOrFail($id);

        $request->validate([
            'middle_text' => 'required',
            'slider1_image' => 'max:5048|mimes:png,jpg,jpeg',
            'slider1_text_1' => 'required',
            'slider1_text_2' => 'required',
            'slider1_text_3' => 'required',
            'slider2_image' => 'max:5048|mimes:png,jpg,jpeg',
            'slider2_text_1' => 'required',
            'slider2_text_2' => 'required',
            'slider2_text_3' => 'required',
            'slider3_image' => 'max:5048|mimes:png,jpg,jpeg',
            'slider3_text_1' => 'required',
            'slider3_text_2' => 'required',
            'slider3_text_3' => 'required',
            'slider4_image' => 'max:5048|mimes:png,jpg,jpeg',
            'slider4_text_1' => 'required',
            'slider4_text_2' => 'required',
            'slider4_text_3' => 'required',
        ]);

        if($request->hasFile('slider1_image')){
            $file_name = $this->fileUpload($request->slider1_image);
            $axaHomeContent->update([
                'slider1_image' => $file_name,
            ]);
        }
        
        if($request->hasFile('slider2_image')){
            $file_name = $this->fileUpload($request->slider2_image);
            $axaHomeContent->update([
                'slider2_image' => $file_name,
            ]);
        }
        if($request->hasFile('slider3_image')){
            $file_name = $this->fileUpload($request->slider3_image);
            $axaHomeContent->update([
                'slider3_image' => $file_name,
            ]);
        }
        if($request->hasFile('slider4_image')){
            $file_name = $this->fileUpload($request->slider4_image);
            $axaHomeContent->update([
                'slider4_image' => $file_name,
            ]);
        }
        $axaHomeContent->update([
            'middle_text' => $request->middle_text,
            'slider1_text_1' => $request->slider1_text_1,
            'slider1_text_2' => $request->slider1_text_2,
            'slider1_text_3' => $request->slider1_text_3,
            'slider2_text_1' => $request->slider2_text_1,
            'slider2_text_2' => $request->slider2_text_2,
            'slider2_text_3' => $request->slider2_text_3,
            'slider3_text_1' => $request->slider3_text_1,
            'slider3_text_2' => $request->slider3_text_2,
            'slider3_text_3' => $request->slider3_text_3,
            'slider4_text_1' => $request->slider4_text_1,
            'slider4_text_2' => $request->slider4_text_2,
            'slider4_text_3' => $request->slider4_text_3,
        ]);

        return back()->with('success', 'Axa Home Content Updated Successfully');
    }

    public function fileUpload($file){
        $file_name = time().'-'.$file->getClientOriginalName();
        $destination = public_path().'/uploads/axa-home-content';
        $file->move( $destination, $file_name );
        return $file_name;
    }

}
