<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use App\Models\ContactUsContent;
use Illuminate\Http\Request;


class ContactUsContentController extends Controller
{
    public function show(Request $request, $id)
    {
       $contactUsContent = ContactUsContent::findOrFail($id);
        return view('backend.modules.contact-us-content.edit', compact('contactUsContent'));
    }

    public function edit(Request $request, $id)
    {
       $contactUsContent = ContactUsContent::findOrFail($id);
        return view('backend.modules.contact-us-content.edit', compact('contactUsContent'));
    }

    public function update(Request $request, $id)
    {
       $contactUsContent = ContactUsContent::findOrFail($id);

        $request->validate([
            'content' => 'required',
            'image' => 'image|mimes:jpeg,jpg,png,gif,svg|max:5048',
            'lists' => 'required',
        ]);

        if ($request->hasFile('image')) {

            $file = $request->image;
            $file_name = time().'.'.$file->getClientOriginalExtension();
            $destination = public_path().'/uploads/contact-us-content';
            $file->move( $destination, $file_name );

            $contactUsContent->update([
                'content' => $request->content,
                'image' => $file_name,
                'lists' => json_encode($request->lists) ? json_encode($request->lists) : [],
            ]);
        }

        $contactUsContent->update([
            'content' => $request->content,
            'lists' => json_encode($request->lists) ? json_encode($request->lists) : [],
        ]);
            
        return back()->with('success', 'Contact Us Content Updated Successfully');
    }

}
