<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use App\Models\EmailPhone;
use Illuminate\Http\Request;


class EmailPhoneController extends Controller
{
    public function show(Request $request, $id)
    {
       $emailPhone = EmailPhone::findOrFail($id);
        return view('backend.modules.email-phone.edit', compact('emailPhone'));
    }

    public function edit(Request $request, $id)
    {
       $emailPhone = EmailPhone::findOrFail($id);
        return view('backend.modules.email-phone.edit', compact('emailPhone'));
    }

    public function update(Request $request, $id)
    {
       $emailPhone = EmailPhone::findOrFail($id);

        $request->validate([
            'emails' => 'required',
            'phones' => 'required',
        ]);

        $emails = [];
        foreach ($request->emails_name as $key1 => $name) {
            foreach ($request->emails as $key2 => $email) {
                if($key1 == $key2){
                   array_push($emails, [
                        'name' => $name,
                        'email' => $email
                   ]);
                }
            }
        }

        $phones = [];
        foreach ($request->phones_name as $key1 => $name) {
            foreach ($request->phones as $key2 => $phone) {
                if($key1 == $key2){
                   array_push($phones, [
                        'name' => $name,
                        'phone' => $phone
                   ]);
                }
            }
        }

        $emailPhone->update([
            'emails' => json_encode($emails),
            'phones' => json_encode($phones),
        ]);
            
        return back()->with('success', 'Email and Phone Updated Successfully');
    }

}
