<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use App\Models\GhaAccredited;
use Illuminate\Http\Request;

class GhaAccreditedController extends Controller
{

    public function index(Request $request)
    {
        $accrediteds = GhaAccredited::latest()->get();
        return view('backend.modules.gha-accredited.index', compact('accrediteds'));
    }

    public function create(Request $request)
    {
        return view('backend.modules.gha-accredited.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required|unique:gha_accrediteds,name',
            'file' => 'required',
            'type' => 'required',
        ]);

        $file = $request->file;
        $file_name = $file->getClientOriginalName();
        $destination = public_path().'/uploads/gha-accredited';
        $file->move( $destination, $file_name );
        
        GhaAccredited::create([
            'name' => $request->name,
            'file' => $file_name,
            'type' => $request->type,
        ]);

        return redirect('admin/gha-accredited')->with('success', 'New GHA Accredited Provider Added Successfully');
    }

    public function show(Request $request, $id)
    {
        $accredited = GhaAccredited::findOrFail($id);
        return view('backend.modules.gha-accredited.show', compact('accredited'));
    }

    public function edit(Request $request, $id)
    {
        $accredited = GhaAccredited::findOrFail($id);
        return view('backend.modules.gha-accredited.edit', compact('accredited'));
    }

    public function update(Request $request, $id)
    {
        $accredited = GhaAccredited::findOrFail($id);

        // $request->validate([
        //     'name' => 'required|unique:axa_accrediteds,name,'.$id,
        //     'type' => 'required',
        //     'file' => 'required',
        // ]);

        if ($request->hasFile('file')) {
    
            $file = $request->file;
            $file_name = $request->name.$file->getClientOriginalExtension();
            $destination = public_path().'/uploads/gha-accredited';
            $file->move( $destination, $file_name );
    
            $accredited->update([
                'name' => $request->name,
                'file' => $file_name,
                'type' => $request->type,
            ]);
        }

        $accredited->update([
            'name' => $request->name,
            // 'file' => $request->$file_name,
            'type' => $request->type,
        ]);


        return back()->with('success', 'GHA Accredited Provider Updated Successfully');
    }

    public function destroy(Request $request, $id)
    {
        $accredited = GhaAccredited::findOrFail($id);
        $accredited->delete();
        return back()->with('success', 'GHA Accredited Provider Deleted Successfully');
    }
}
