<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use App\Models\NonlifeQuoteTemplate;
use Illuminate\Http\Request;

class NonlifeQuoteTemplateController extends Controller
{
    public function index(Request $request)
    {
        $quoteTemplates = NonlifeQuoteTemplate::all();
        return view('backend.modules.nonlife-quote-template.index', compact('quoteTemplates'));
    }

    public function create(Request $request)
    {
        return view('backend.modules.nonlife-quote-template.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'title' => 'required',
            // 'image' => 'required|image|mimes:jpeg,jpg,png,gif,svg|max:5048',
        ]);

        // $file = $request->image;
        // $file_name = time().'.'.$file->getClientOriginalExtension();
        // $destination = public_path().'/uploads/nonlife-quote-template';
        // $file->move( $destination, $file_name );

        NonlifeQuoteTemplate::create([
            'title' => $request->title,
            // 'image' => $file_name,
            'details' => $request->details
        ]);

        return redirect('admin/nonlife-quote-template')->with('success', 'New Type of Insurance Added Successfully');
    }

    public function show(Request $request, $id)
    {
        $quoteTemplate = NonlifeQuoteTemplate::findOrFail($id);
        return view('backend.modules.nonlife-quote-template.show', compact('quoteTemplate'));
    }

    public function edit(Request $request, $id)
    {
        $quoteTemplate = NonlifeQuoteTemplate::findOrFail($id);
        return view('backend.modules.nonlife-quote-template.edit', compact('quoteTemplate'));
    }

    public function update(Request $request, $id)
    {
        $quoteTemplate = NonlifeQuoteTemplate::findOrFail($id);

        $request->validate([
            'title' => 'required'
        ]);

        $quoteTemplate->update([
            'title' => $request->title,
            'details' => $request->details
        ]);

        return back()->with('success', 'Quote updated Successfully');
    }

    public function destroy(Request $request, $id)
    {
        $quoteTemplate = NonlifeQuoteTemplate::findOrFail($id);
        $quoteTemplate->delete();
        return back()->with('success', 'Type of Insurance Deleted Successfully');
    }
}
