<?php

namespace App\Http\Controllers\Backend;

use App\Models\Order;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Http;

class OrderController extends Controller
{
    public function index(Request $request)
    {
        $orders = Order::latest()->get();
        // $orders = Order::orderBy('created_at', 'ASC')->get();
        return view('backend.modules.orders.index', compact('orders'));
    }

    public function show($id)
    {
        $order = Order::findOrFail($id);
        
          $response = Http::withHeaders([
            'Accept' => 'application/json',
            'client-id' => 'ck_sandbox_uno476g4l0tdspazkuxm1omf',
        ])->get("https://api-sandbox.nextpay.world/v2/paymentlinks/{$order->nextPay_id}/payments");
         
         
         $respo = $response->json();
        
        // return $respo;
           if(isset($respo)){
            if($respo['total_count'] !== 0){
                if ($respo['data'][0]['method'] !== null) {
                    $payment_method = $respo['data'][0]['method'];   
                } 
                else 
                {
                    // Handle the case where the payment method is null
                    $payment_method = 'Pending Payment'; // You can set a default value or take appropriate action
                }
            }
            else{
                $payment_method = 'Pending Payment';
            }
          }
          else{
            $payment_method = 'Pending Payment';
          }

        return view('backend.modules.orders.show', compact('order', 'payment_method'));
    }

    public function edit($id)
    {
        $order = Order::findOrFail($id);
        return view('backend.modules.orders.edit', compact('order'));
    }

    public function update(Request $request, $id)
    {
        $order = Order::findOrFail($id);
        $order->update($request->all());
        return back()->with([
            'success' => 'Order Updated Successfully!'
        ]);
    }

    public function destroy(Request $request, $id)
    {
        $order = Order::findOrFail($id);
        $order->delete();
        return back()->with('success', 'Order Deleted Successfully');
    }
    public function multipleDestroy(Request $request)
    {
        // return json_decode($request->ids);
        Order::destroy(json_decode($request->ids));
        return back()->with('success', 'Orders Deleted Successfully');
    }


}
