<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use App\Models\PhysicalCard;
use Illuminate\Http\Request;


class PhysicalCardController extends Controller
{
    public function show(Request $request, $id)
    {
        $physicalCard = PhysicalCard::findOrFail($id);
        return view('backend.modules.physical-card.edit', compact('physicalCard'));
    }

    public function edit(Request $request, $id)
    {
        $physicalCard = PhysicalCard::findOrFail($id);
        return view('backend.modules.physical-card.edit', compact('physicalCard'));
    }

    public function update(Request $request, $id)
    {
        $physicalCard = PhysicalCard::findOrFail($id);

        $request->validate([
            'price' => 'required|numeric',
            'check_box' => 'required',
            'paragraph' => 'required',
        ]);

        $physicalCard->update([
            'price' => $request->price,
            'check_box' => $request->check_box,
            'paragraph' => $request->paragraph,
        ]);
        
        return back()->with('success', 'Physical Card Updated Successfully');
    }

}
