<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use App\Models\QuoteTemplate;
use Illuminate\Http\Request;

class QuoteTemplateController extends Controller
{
    public function index(Request $request)
    {
        $quoteTemplates = QuoteTemplate::all();
        return view('backend.modules.quote-template.index', compact('quoteTemplates'));
    }

    public function create(Request $request)
    {
        return view('backend.modules.quote-template.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'title' => 'required',
            // 'image' => 'required|image|mimes:jpeg,jpg,png,gif,svg|max:5048',
        ]);

        // $file = $request->image;
        // $file_name = time().'.'.$file->getClientOriginalExtension();
        // $destination = public_path().'/uploads/quote-template';
        // $file->move( $destination, $file_name );

        QuoteTemplate::create([
            'title' => $request->title,
            // 'image' => $file_name,
            'details' => $request->details
        ]);

        return redirect('admin/quote-template')->with('success', 'New Type of Insurance Added Successfully');
    }

    public function show(Request $request, $id)
    {
        $quoteTemplate = QuoteTemplate::findOrFail($id);
        return view('backend.modules.quote-template.show', compact('quoteTemplate'));
    }

    public function edit(Request $request, $id)
    {
        $quoteTemplate = QuoteTemplate::findOrFail($id);
        return view('backend.modules.quote-template.edit', compact('quoteTemplate'));
    }

    public function update(Request $request, $id)
    {
        $quoteTemplate = QuoteTemplate::findOrFail($id);

        $request->validate([
            // 'image' => 'image|mimes:jpeg,jpg,png,gif,svg|max:5048'

        ]);

        if ($request->hasFile('image')) {
            $file = $request->image;
            $file_name = time().'.'.$file->getClientOriginalExtension();
            $destination = public_path().'/uploads/quote-template';
            $file->move( $destination, $file_name );

            $quoteTemplate->update([
                'title' => $request->title,
                // 'image' => $file_name,
                'details' => $request->details

            ]);

            return back()->with('success', 'Type of Insurance Updated Successfully');
        }

        $quoteTemplate->update([
            'title' => $request->title,
            'details' => $request->details
        ]);

        return back()->with('success', 'Type of Insurance Updated Successfully');
    }

    public function destroy(Request $request, $id)
    {
        $quoteTemplate = QuoteTemplate::findOrFail($id);
        $quoteTemplate->delete();
        return back()->with('success', 'Type of Insurance Deleted Successfully');
    }
}
