<?php

namespace App\Http\Controllers\Backend\Travel;

use App\Models\HmoProvider;
use App\Models\Travel\Malayan;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Carbon\Carbon;

class MalayanController extends Controller
{
    public function index(Request $request)
    {
        $plans = Malayan::orderby('plan_name', 'asc')->get();

        return view('backend.modules.travel.malayan.index', compact('plans'));
    }

    public function create(Request $request)
    {
        return view('backend.modules.travel.malayan.create');
    }

    public function store(Request $request)
    {

        // return $request;
        Malayan::create([
            'rate_type' => $request->rate_type,
            'destination_type' => $request->destination_type,
            'plan_name' => $request->plan_name,
            'age_eligibility' => $request->age_eligibility,
            'price' => json_encode($request->price),

        ]);

        return redirect('admin/travel/malayan')->with([
            'success' => 'New Plan Added Successfully!'
        ]);
    }


    public function show(Request $request, $id)
    {
        $plan = Malayan::findOrFail($id);
        return view('backend.modules.travel.malayan.show', compact('plan'));
    }

    public function edit(Request $request, $id)
    {
        $plan = Malayan::findOrFail($id);
        return view('backend.modules.travel.malayan.edit', compact('plan'));
    }


    public function update(Request $request, $id)
    {
        // return $request;
        $plan = Malayan::findOrFail($id);

        $plan->update([
            'rate_type' => $request->rate_type,
            'destination_type' => $request->destination_type,
            'plan_name' => $request->plan_name,
            'age_eligibility' => $request->age_eligibility,
            'price' => $request->required_smoke == 'on' || $request->required_gender == 'on' ? json_encode(null) : json_encode($request->price),
        ]);

        return back()->with('success', 'Plan Updated Successfully');

    }

    public function destroy(Request $request, $id)
    {
        Malayan::find($id)->delete();
        return back()->with([
            'success' => 'Plan Deleted Successfully!'
        ]);
    }

    public function age(Request $request, $type = null, $action = null){
        // return $request;
        if($type == 'age'){
            if($action == 'add'){
                // return count(session('ages'));
                session()->push('ages', count(session('ages')));
            }else if($action == 'minus'){
                $ages = session('ages');
                array_pop($ages);
                session()->put('ages', $ages);
            }
        }
        return back();
    }

    public function multipleDestroy(Request $request)
    {
        // return json_decode($request->ids);
        Malayan::destroy(json_decode($request->ids));
        return back()->with('success', 'Deleted Successfully');
    }
    public function multipleHide(Request $request)
    {
        // return json_decode($request->ids);
        foreach (json_decode($request->ids) as $key => $id) {
            Malayan::find($id)->update(['hidden' => 1]);
        }
        return back()->with('success', 'Hidden Successfully');
    }
    public function multipleUnHide(Request $request)
    {
        // return json_decode($request->ids);
        foreach (json_decode($request->ids) as $key => $id) {
            Malayan::find($id)->update(['hidden' => 0]);
        }
        return back()->with('success', 'UnHidden Successfully');
    }

    public function duplicate(Request $request)
    {
        // return json_decode($request->ids);
        // Malayan::find($id)->replicate()->save();
        $post = Malayan::find($request->id);
        $newPost = $post->replicate();
        $newPost->created_at = Carbon::now();
        $newPost->save();

        return back()->with('success', 'Duplicated Successfully');
    }

}
