<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;


class UpdateBrochureController extends Controller
{
    public function show(Request $request)
    {
        return view('backend.modules.update-brochure.edit');
    }

    public function edit(Request $request)
    {
        return view('backend.modules.update-brochure.edit');
    }

    public function update(Request $request, $id)
    {
        $request->validate([
            'file_hs' => 'max:5082|mimes:pdf',
            'file_hm' => 'max:5082|mimes:pdf',
            'file_gha' => 'max:5082|mimes:pdf',
            'file_hca' => 'max:5082|mimes:pdf',
        ]);
        
        $request->hasFile('file_hs') ? $this->fileUpload('/uploads/brochure', $request->file_hs, 'hs') : null;
        $request->hasFile('file_hm') ? $this->fileUpload('/uploads/brochure', $request->file_hm, 'hm') : null;
        $request->hasFile('file_gha') ? $this->fileUpload('/uploads/brochure', $request->file_gha, 'gha') : null;
        $request->hasFile('file_hca') ? $this->fileUpload('/uploads/brochure', $request->file_hca, 'hca') : null;

        return back()->with('success', 'Brochure Updated Successfully');
    }

    public function fileUpload($path, $file, $file_name){
        // $file_name = time().'-'.$file->getClientOriginalName();
        $destination = public_path().$path;
        $file->move( $destination, 'brochure_'.$file_name.'.pdf' );
        return $file_name;

    }

}
